Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TOpenDatasource

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TOpenDatasource

All Implemented Interfaces:
  Visitable

    public class TOpenDatasource

extends TParseTreeNode

Constructor Summary
`TOpenDatasource()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`TConstant` | `getInit_string()`
`TConstant` | `getProvider_name()`
`TSourceToken` | `getTableToken()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setDatabaseToken(TSourceToken databaseToken)`
`void` | `setSchemaToken(TSourceToken schemaToken)`
`void` | `setTableToken(TSourceToken tableToken)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TOpenDatasource

    public TOpenDatasource()

Method Detail

### setTableToken

    public void setTableToken(TSourceToken tableToken)

### getTableToken

    public TSourceToken getTableToken()

### getInit_string

    public TConstant getInit_string()

### getProvider_name

    public TConstant getProvider_name()

### setSchemaToken

    public void setSchemaToken(TSourceToken schemaToken)

### setDatabaseToken

    public void setDatabaseToken(TSourceToken databaseToken)

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD